org.apache.solr.util

## Class SolrCLI.DeleteTool

- java.lang.Object
- - org.apache.solr.util.SolrCLI.ToolBase
  - - org.apache.solr.util.SolrCLI.DeleteTool

- All Implemented Interfaces:
    SolrCLI.Tool
  Enclosing class:
    SolrCLI

      public static class SolrCLI.DeleteTool
      extends SolrCLI.ToolBase

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `stdout, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteTool()`
    `DeleteTool(PrintStream stdout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `deleteCollection(CloudSolrClient cloudSolrClient, org.apache.commons.cli.CommandLine cli)`
    `protected void` | `deleteCollection(org.apache.commons.cli.CommandLine cli)`
    `protected void` | `deleteCore(org.apache.commons.cli.CommandLine cli, org.apache.http.impl.client.CloseableHttpClient httpClient, String solrUrl)`
    `String` | `getName()`
    `org.apache.commons.cli.Option[]` | `getOptions()`
    `protected void` | `runImpl(org.apache.commons.cli.CommandLine cli)`

    - ### Methods inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `echo, runTool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteTool

          public DeleteTool()

    - #### DeleteTool

          public DeleteTool(PrintStream stdout)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getOptions

          public org.apache.commons.cli.Option[] getOptions()

    - #### runImpl

          protected void runImpl(org.apache.commons.cli.CommandLine cli)
                          throws Exception

      Specified by:
        `runImpl` in class `SolrCLI.ToolBase`
      Throws:
        `Exception`

    - #### deleteCollection

          protected void deleteCollection(org.apache.commons.cli.CommandLine cli)
                                   throws Exception

      Throws:
        `Exception`

    - #### deleteCollection

          protected void deleteCollection(CloudSolrClient cloudSolrClient,
                                          org.apache.commons.cli.CommandLine cli)
                                   throws Exception

      Throws:
        `Exception`

    - #### deleteCore

          protected void deleteCore(org.apache.commons.cli.CommandLine cli,
                                    org.apache.http.impl.client.CloseableHttpClient httpClient,
                                    String solrUrl)
                             throws Exception

      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.